org.eclipse.incquery.runtime.localsearch.operations.extend

## Class ExtendConstant

- java.lang.Object
- - org.eclipse.incquery.runtime.localsearch.operations.extend.ExtendOperation<java.lang.Object>
  - - org.eclipse.incquery.runtime.localsearch.operations.extend.ExtendConstant

- All Implemented Interfaces:
    ISearchOperation

      public class ExtendConstant
      extends ExtendOperation<java.lang.Object>

  This operation handles constants in search plans by binding a variable to a constant value. Such operations should be executed as early as possible during plan execution.
  Author:
    Marton Bur

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendConstant(int position, java.lang.Object value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Integer>` | `getVariablePositions()`
    `void` | `onInitialize(MatchingFrame frame, ISearchContext context)` During the execution of the corresponding plan, the onInitialize callback is evaluated before the execution of the operation may begin.

    - ### Methods inherited from class org.eclipse.incquery.runtime.localsearch.operations.extend.ExtendOperation

      `execute, onBacktrack`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendConstant

          public ExtendConstant(int position,
                                java.lang.Object value)

  - ### Method Detail

    - #### onInitialize

          public void onInitialize(MatchingFrame frame,
                                   ISearchContext context)
                            throws LocalSearchException

      Description copied from interface: `ISearchOperation`
      During the execution of the corresponding plan, the onInitialize callback is evaluated before the execution of the operation may begin. Operations may use this method to initialize its internal data structures.
      Throws:
        `LocalSearchException`

    - #### getVariablePositions

          public java.util.List<java.lang.Integer> getVariablePositions()

      Returns:
        the ordered list of the variable numbers that are affected by the search operation